# null.h File Reference

Declares classes that implement SQL "null" semantics within C++'s type system. More...

`#include "exceptions.h"`
`#include <iostream>`

Include dependency graph for null.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | mysqlpp

## Detailed Description

Declares classes that implement SQL "null" semantics within C++'s type system.

This is required because C++'s own NULL type is not semantically the same as SQL nulls.